@use '@angular/material' as mat;

@import 'tailwindcss/base';
@import 'tailwindcss/components';
@import 'tailwindcss/utilities';
@import url('https://fonts.googleapis.com/css2?family=DM+Mono:wght@400;500&family=VT323&display=swap');

@include mat.core();

// Custom Theming for Angular Material
// For more information: https://material.angular.io/guide/theming
// Plus imports for other components in your app.

// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/
// $asgard-exchange-primary: mat-palette($mat-indigo);
// $asgard-exchange-accent: mat-palette($mat-pink, A200, A100, A400);

//$uniswap-primary: (
//  50: #309476,
//  100: #309476,
//  contrast: (
//    50: white,
//    100: white,
//  )
//);
//
//$uniswap-secondary: (
//  50: #309476,
//  100: #309476,
//  contrast: (
//    50:white
//    100:white
//  )
//);

// $font-family: 'Inter var, sans-serif',
//$custom-typography: mat.typography-config(
//  $font-family: 'DM Mono, sans-serif',
//  $headline: mat-typography-level(32px, 48px, 700),
//  $body-1: mat-typography-level(16px, 24px, 500)
//);

//$asgard-exchange-primary: mat-palette($uniswap-primary, 50);
//$asgard-exchange-accent: mat-palette($uniswap-secondary, 50);
$asgard-exchange-primary: mat.define-palette(mat.$indigo-palette, 500);
$asgard-exchange-accent: mat.define-palette(mat.$pink-palette, A200, A100, A400);

// The warn palette is optional (defaults to red).
$asgard-exchange-warn: mat.define-palette(mat.$red-palette);

// Create the theme object (a Sass map containing all of the palettes).
$asgard-exchange-theme: mat.define-light-theme((
  color: (
    primary: $asgard-exchange-primary,
    accent: $asgard-exchange-accent,
    warn: $asgard-exchange-warn,
  ),
//  typography: $custom-typography,
));

// Include theme styles for core and each component used in your app.
// Alternatively, you can import and @include the theme mixins for each component
// that you are using.
@include mat.all-component-themes($asgard-exchange-theme);

// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
//@include mat-core($custom-typography);


* {
  box-sizing: border-box;
}

html {
  font-size: 16px;
  -webkit-font-smoothing: antialiased;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

html, input, textarea, button {
  font-family: 'DM Mono', monospace;
}

/* override browser default */
html,
body {
  margin: 0;
  padding: 0;
  max-width: 100%;
  overflow-x: hidden;
}

body {
  width: 100vw;
  min-height: 100vh;
  background-repeat: repeat;
  color: white;
  background-size: 100%;
  background-image: radial-gradient(50% 50% at 50% 50%, darken(#309476, 20%) 0%, #282c34 100%);
}

html, body { height: 100%; }
body { margin: 0; }

ul, ol {
  list-style-type: none;
  padding: 0;
  margin: 0;
}

button {
  background: none;
  outline: none;
  cursor: pointer;
  @apply focus:outline-none;
}

.to-btn-icon {
  margin: 10px 4px;
  color: rgba(21, 163, 111, 1);
  height: 16px !important;
  width: 16px !important;

  &.disabled {
    color: rgb(86, 90, 105);
  }
}

/**
 * Material Overrides
 */

 /**
  * Material Dialog
  */
.mat-dialog-container {
  padding: 0 !important;
  box-shadow: none;
  border-radius: 8px !important;
  position: relative;
  background-color: rgba(30, 36, 36, 1);
  color: white;
  overflow-x: hidden !important;

  .dialog-content {
    background-color: rgba(255, 255, 255, 0.04);
    padding: 2rem;
    display: flex;
    flex-flow: column;
  }

  h1 {
    font-size: 1rem;
    margin: 0;
    font-weight: 500;
  }

  /** overrides */
  .mat-dialog-actions {
    padding: 0;
    min-height: 0px;
    margin-bottom: 0;
  }

}

.cdk-overlay-dark-backdrop {
  background: rgba(0, 0, 0, 0.75);
}

.uni-input {
  outline: none;
  border-radius: 8px;
  display: flex;
  -webkit-box-align: center;
  align-items: center;
  -webkit-box-pack: justify;
  justify-content: space-between;
  padding: 1rem;
  margin-top: 0px;
  opacity: 1;
  width: 100% !important;
  margin-bottom: 10px;
  flex-flow: column;
  justify-content: start;
  align-items: flex-start;
  background-color: rgba(255, 255, 255, 0.02);

  label {
    box-sizing: border-box;
    margin: 0px;
    min-width: 0px;
    font-weight: 500;
    font-size: 0.8rem;
  }

  input, textarea {
    background-color: transparent;
    border: none;
    width: 100%;
    color: white;
    font-weight: 500;
    outline: none;
    border: none;
    flex: 1 1 auto;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    padding: 0.75rem 0.75rem 0.75rem 0;
    appearance: textfield;

    &::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
      color: darken(#c3c5cb, 20%);
      opacity: 1; /* Firefox */
    }


    &:focus {
      outline: none;
    }
  }

  textarea {
    // word-wrap: normal;
    white-space: normal;
    resize: none;;
  }

  &--file {
    color: white;
    flex-flow: row;
    justify-content: space-between;
    align-items: center;
  }

}

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
}

/**
 * Material Buttons
 */

 button.mat-primary, a.mat-primary {
  background-color: rgba(21, 163, 111, 0.44);
  color: white !important;
 }

.mat-button, .mat-raised-button, .mat-icon-button, .mat-stroked-button, .mat-flat-button, .mat-fab {
  font-size: 0.8rem;
  color: white;
  background-color: transparent;
  border-radius: 8px !important;
}

.main-action-btn {
  color: white !important;
  margin-top: 1rem !important;
  padding: 10px !important;
  background-image: linear-gradient(90deg,darken(#3f9, 20%), darken(#31c099, 20%)),linear-gradient(90deg,darken(#0cf, 20%),#282c34);

  &:disabled {
    color: rgba(245, 158, 11, 1) !important;
    border: 1px solid rgba(245, 158, 11, 1);
    background-image: none;
  }

}

.mat-progress-spinner, .mat-spinner {

  circle {
    stroke: #2172e5;
  }

  &.light-spinner {
    stroke: white;

    circle {
      stroke: white !important;
    }
  }

}

.gradient-btn {
  background-image: linear-gradient(90deg,darken(#3f9, 20%), darken(#31c099, 20%)),linear-gradient(90deg,darken(#0cf, 20%),#282c34);
}

/**
 *
 */
.asset-icon-container {
  width: 24px;
  margin-right: 16px;

  img {
    width: 100%;
    border-radius: 50%;
  }
}

.tx-detail-label {
  font-size: 14px;
  color: rgb(195, 197, 203);
}

.disabled-list {
  float: left;
  width: 100%;
  border-radius: 16px;
  padding: 40px;
  background-color: rgba(243, 132, 30, 0.05);
  font-weight: 400;
  font-size: .8rem;
  color: #f3841e;
  text-align: center;
}


main {
  .container {
    background: rgba(22,25,27, 1);
    padding: 2rem 2rem 2rem 2rem;
    min-height: 600px;
    width: 100%;
    max-width: 470px;
    display: flex;
    flex-flow: column;
    position: relative;

    @media (min-width: 768px) {
      width: 470px;
    }

    // This box shadow doesn't do much on dark background
    // box-shadow: rgba(0, 0, 0, 0.01) 0px 0px 1px, rgba(0, 0, 0, 0.04) 0px 4px 8px, rgba(0, 0, 0, 0.04) 0px 16px 24px, rgba(0, 0, 0, 0.01) 0px 24px 32px;
    box-shadow: 0 -2px 20px rgba(64, 64, 64, 0.4);
    border-radius: 10px;
  }

}

.confirm-modal-head {

  h1, .transaction-detail {
    font-size: 20px;
    font-weight: 500;
  }

}

.confirm-modal-content {
  padding: 1rem !important;
  background-color: rgb(44, 47, 54);
  font-size: 14px;
}

.icon-container {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 200px;

  &--sent {

    mat-icon {
      height: auto;
      width: auto;
      font-size: 5.0rem;
      color: #2172e5 !important;
    }
  }
}

.submitting, .success {

  .modal-head {

    h1, span, a {
      margin-bottom: 10px;
    }

    a {
      color: #2172e5 !important;
      text-decoration: none;
    }

    .swap-details {
      font-size: .8rem;
      font-weight: 500;
    }

    .addendum {
      color: rgb(195, 197, 203);
      font-size: .8rem;
      font-style: italic;
    }

  }

}

.mat-slider-wrapper {
  background-color: rgb(195, 197, 203);
}

.mat-accent .mat-slider-track-fill, .mat-accent .mat-slider-thumb, .mat-accent .mat-slider-thumb-label {
  background-color: rgb(195, 197, 203);
}

.mat-slider-min-value:not(.mat-slider-thumb-label-showing) .mat-slider-thumb {
  background-color: rgb(195, 197, 203);
}

.tag {
  position: absolute;
  width: 100%;
  bottom: -130px;
  font-size: 14px;

  .tag-contents {
    background-color: rgba(0, 0, 0, 0.1);
    border-bottom-left-radius: 20px;
    border-bottom-right-radius: 20px;
    padding: 1rem;
  }
}

.mat-select-value {
  color: white;
}

.slider {
  width: 100%;
}

.cdk-global-scrollblock {
  top: auto !important;
}

.swap-details {
  padding: 6px 1rem 0;
  font-weight: 500;
  font-size: 14px;
  color: rgb(195, 197, 203);
}

.pool-list-item {
  float: left;
  width: 100%;
  border: 1px solid #40444f;
  border-radius: 12px;
  padding: 1rem;
  margin-bottom: 12px;
}
